import cx from "../../../../../utils/css/cx.js";
import Point from './Point';
import classes from './styles.module.scss';
const cls = cx.merge(classes);
const Points = function Points(props) {
  const {
    chartId,
    margins,
    scales,
    sizes,
    hovering,
    setHover,
    white
  } = props;
  return <g className={cls('points', {
    hovering,
    white
  })}>
      {margins.map(m => <Point key={`${m.fips}-${m.year}`} chartId={chartId} scales={scales} sizes={sizes} setHover={setHover} {...m} />)}
    </g>;
};
export default Points;